/*
 * Developer : Alexey Zakharov (alexey.zakharov@vectioneer.com)
 * All rights reserved. Copyright (c) 2019 VECTIONEER.
 */

#ifndef MOTORCORTEX_ROBOT_CONTROL_MOTION_COMMAND_H
#define MOTORCORTEX_ROBOT_CONTROL_MOTION_COMMAND_H

#include "motionSL.pb.h"
#include <mcx-cpp/pb.h>
#include <mcx-cpp/pb_encode.h>

namespace mcx_robot_control {

class MotionCommand {
public:
  virtual size_t encode(pb_ostream_t* stream) const = 0;

  [[nodiscard]] virtual size_t size() const = 0;

  [[nodiscard]] virtual motion_spec_MOTIONTYPE type() const = 0;

  [[nodiscard]] virtual size_t id() const = 0;
};

} // namespace mcx_robot_control

#endif // MOTORCORTEX_ROBOT_CONTROL_MOTION_COMMAND_H
