/*
 * Developer : Alexey Zakharov (alexey.zakharov@vectioneer.com)
 * All rights reserved. Copyright (c) 2019 VECTIONEER.
 */

#ifndef MOTORCORTEX_ROBOT_CONTROL_POSE_OSTREAM_H
#define MOTORCORTEX_ROBOT_CONTROL_POSE_OSTREAM_H

#include "motionSL.pb.h"
#include <iostream>

namespace mcx_robot_control {

std::ostream& operator<<(std::ostream& os, const motion_spec_CartPose6& cart_pose);

std::ostream& operator<<(std::ostream& os, const motion_spec_Twist& cart_twist);

std::ostream& operator<<(std::ostream& os, const motion_spec_JointPositions& joint_pose);

std::ostream& operator<<(std::ostream& os, const motion_spec_JointVelocities& joint_vel);

} // namespace mcx_robot_control

#endif // MOTORCORTEX_ROBOT_CONTROL_POSE_OSTREAM_H
